/*
    Copyright (C) 2014 RedoX <dev@redox.ws>
    This file is part of 4Sense.

        4Sense is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        4Sense is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with 4Sense.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _TOuCH_H
#define _TOuCH_H
										   /* Holds information related to a single touch channel */
typedef struct {
	volatile uint8_t *port; 									  /* PORT register for pin pullup */
	volatile uint8_t portmask; 										  /* Mask for the bit in port */
	volatile uint8_t mux; 											   /* ADMUX value for the pin */
} touch_channel_t;

void touch_init(void);									  /* Init the Touch stuff (setup the ADC) */
void adc_channel(uint8_t channel);										   /* Set the ADC channel */
uint16_t adc_get(void);													/* Get an ADC measurement */
uint16_t touch_measure(touch_channel_t *channel);					   /* Get a Touch measurement */
#endif	
